Summary:	A new and cool interface for MPD
Name:		lnkmusic
Version:	0.2.22
Release:	%mkrel 5
License:	GPL
Group:		Sound
URL:		http://sourceforge.net/projects/lnkmusic/
Source0:	http://downloads.sourceforge.net/lnkmusic/%{name}-%{version}.tar.gz
BuildRequires:	ImageMagick
BuildRequires:	gambas2-devel >= 1.9.48
BuildRequires:	gambas2-runtime >= 1.9.48
BuildRequires:	gambas2-gb-qt >= 1.9.48
BuildRequires:	gambas2-gb-form >= 1.9.48
BuildRequires:	gambas2-gb-image >= 1.9.48
BuildRequires:	gambas2-gb-net >= 1.9.48
BuildRequires:	gambas2-gb-qt-ext >= 1.9.48
BuildRequires:	gambas2-gb-settings >= 1.9.48
Requires:	gambas2-gb-qt-ext >= 1.9.48
Requires:	gambas2-gb-form >= 1.9.48
Requires:	gambas2-gb-settings >= 1.9.48
Requires:	gambas2-gb-image >= 1.9.48
Requires:	gambas2-gb-net >= 1.9.48
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This is a new and cool interface for MPD
(Music player daemon, www.musicpd.org).

It has some nice features like playlist sorting and a nice 
tray system that lets you control mpd by the tray tooltip 
without having to open the main window.The tag browser is 
amarok-like with an integrated search engine.

%prep
%setup -qn %{name}

%build
gbc2 -a -t -p 
gba2

%install
install -d %{buildroot}/%{_bindir}
install -p lnkmusic.gambas %{buildroot}/%{_bindir}/lnkmusic
install -d %{buildroot}/%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
convert Images/logo2.png -resize 16x16 %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/lnkmusic.png
convert Images/logo2.png -resize 32x32 %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/lnkmusic.png
convert Images/logo2.png -resize 48x48 %{buildroot}/%{_iconsdir}/hicolor/48x48/apps/lnkmusic.png
install -d %{buildroot}/%{_datadir}/applications

cat > %{buildroot}/%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Name=lnkmusic
Comment=A nice frontend for MPD
Exec=%{_bindir}/lnkmusic
Icon=lnkmusic
Terminal=false
Type=Application
StartupNotify=true
Categories=Audio;AudioVideo;
EOF

%if %mdkversion < 200900
%post
%{update_menus}
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%clean_icon_cache hicolor
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/lnkmusic
%{_iconsdir}/hicolor/*/apps/lnkmusic.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.22-5mdv2009.0
+ Revision: 268090
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun May 18 2008 Funda Wang <fundawang@mandriva.org> 0.2.22-4mdv2009.0
+ Revision: 208743
- drop gb-draw depencies
- gambas2 works under x86_64 too

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Oct 27 2007 Funda Wang <fundawang@mandriva.org> 0.2.22-2mdv2008.1
+ Revision: 102517
- fix requires

* Sun Oct 21 2007 Funda Wang <fundawang@mandriva.org> 0.2.22-1mdv2008.1
+ Revision: 100906
- BR ImageMagick
- requires draw
- add runtime requires
- it is arch-dependent in fact.
- only for i586
- New version 0.2.22

  + Thierry Vignaud <tvignaud@mandriva.com>
    - do not harcode icon extension
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new version
    - rework spec file
    - Import lnkmusic

